app/Http/routes.php
<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the controller to call when that URI is requested.
|
*/

Route::get('/', 'PageController@index')->name('index');

Route::get('/register', 'PageController@register')->name('register');
Route::get('/login', 'PageController@login')->name('login');
Route::get('/logout', 'UserController@logout')->name('logout');
Route::post('/login', 'UserController@authenticate')->name('login-post');
Route::post('/users', 'UserController@store')->name('register-submit');


Route::get('/get-started', 'PageController@getStarted')->name('get-started');
Route::get('/webmail', 'PageController@webmail')->name('web-mail');



Route::group(['middleware' => ['auth']], function() {

	Route::get('/project/{id}/professional/{pro_id}/rating/{rating}','ProjectsController@rating')->name('project-rating');

	Route::get('/dashboard', 'PageController@dashboard')->name('dashboard');

	Route::get('/services', 'PageController@services')->name('services');

	Route::get('/tutor', 'PageController@tutorForm')->name('tutor-form');	
	Route::post('/tutor', 'PageController@tutorSubmit')->name('tutor-submit');

	Route::get('/development', 'PageController@developmentPicker')->name('development-picker');	
	Route::get('/development-form/{type}', 'PageController@developmentForm')->name('development-form');
	Route::post('/development', 'PageController@formSubmit')->name('development-submit');

	Route::get('/creatives', 'PageController@creativesPicker')->name('creatives-picker');	
	Route::get('/creatives-form/{type}', 'PageController@creativesForm')->name('creatives-form');
	Route::post('/creatives', 'PageController@formSubmit')->name('creatives-submit');

	Route::get('/writing', 'PageController@writingPicker')->name('writing-picker');	
	Route::get('/writing-form/{type}', 'PageController@writingForm')->name('writing-form');
	Route::post('/writing', 'PageController@formSubmit')->name('writing-submit');

	Route::get('/paper', 'PageController@paperPicker')->name('paper-picker');	
	Route::get('/paper-form/{type}', 'PageController@paperForm')->name('paper-form');
	Route::post('/paper', 'PageController@formSubmit')->name('paper-submit');

	Route::get('/profile','UserController@profile')->name('profile');
	Route::post('/profile-update','UserController@profileUpdate')->name('profile-update');
	Route::get('/user-project/{id}','UserController@userProject')->name('user-project');
	Route::get('/user-projects','UserController@userProjects')->name('user-projects');

	Route::get('/user-tutorials/{id}','UserController@userTutorial')->name('user-tutorial');
	Route::get('/user-tutorials','UserController@userTutorials')->name('user-tutorials');

	Route::get('/print', 'PageController@printForm')->name('print-form');	
	Route::post('/print', 'PageController@printSubmit')->name('print-submit');


	Route::group(['middleware' => 'permission:is_allow_skills'], function() {
		Route::resource('skills', 'SkillsController');
	});

	Route::group(['middleware' => 'permission:is_allow_professionals'], function() {
		Route::resource('professionals', 'ProfessionalsController');
		Route::resource('professionals.skills','ProfessionalSkillsController');
	});

	Route::group(['middleware' => 'permission:is_allow_clients'], function() {
		Route::resource('clients', 'ClientController');
		// Route::resource('professionals.skills','ProfessionalSkillsController');
	});

	Route::group(['middleware' => 'permission:is_allow_projects'], function() {
		Route::resource('projects', 'ProjectsController');

		Route::get('project/{project_id}/pro-delete/{id}','ProjectProfessionalsController@deletePro')->name('projects.professionals.delete');

		Route::resource('projects.professionals','ProjectProfessionalsController');

		Route::get('project/{project_id}/milestone-delete/{id}','ProjectMilestonesController@deleteMilestone')->name('projects.milestones.delete');
		Route::get('project/{project_id}/milestone-done/{id}','ProjectMilestonesController@doneMilestone')->name('projects.milestones.done');

		Route::resource('projects.milestones','ProjectMilestonesController');
	});




// 		//changepassword
// 		Route::get('/editprofile','AdminController@editprofile')->name('admin.show.profile');
// 		Route::post('/updateprofile','AdminController@updateProfile')->name('admin.update.profile');
// 		Route::get('/changepassword','AdminController@showChangePassword')->name('admin.show.change.password');
// 		Route::post('/changepassword','AdminController@updatePassword')->name('admin.update.password');
// 		Route::get('/help','SettingsController@help')->name('esaklolo.help.help');

// 		Route::group(['middleware' => 'permission:is_allow_roles'], function() {
// 			Route::resource('roles', 'RolesController');
// 			Route::get('roles/{id}/old_privilege', 'RolesController@oldPrivilege')->name('roles-privilege');
// 			Route::get('roles/{id}/privilege', 'RolesController@privilege')->name('roles-privilege');
// 			Route::post('roles/{id}/update/{x}', 'RolesController@updatePrivilege')->name('roles-update-privilege');
// 			Route::get('role-delete/{id}', 'RolesController@destroy')->name('roles-delete');
// 			// Route::post('/role/update','RolesController@webroleupdate')->name('esaklolo.web_user.update');
			
// 		});
	Route::group(['middleware' => 'permission:is_allow_settings'], function() {
		Route::resource('settings', 'SettingsController');
	});
});

app/Professionals.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use App\Project;
use App\Rating;
class Professionals extends Model
{
    //
    protected $fillable = [
		'user_id',
		'description',
		'resume',
		'is_available',
		'is_active',
	];

	protected $table = 'professionals';

	public function user()
	{
		return $this->belongsTo('App\User');
	}

	public function skills()
	{
		return $this->belongsTo('App\skills');
	}

	public function rating()
	{
		$id = $this->id;
		$count = Rating::where('professional_id','=',$id)->avg('rating');
		return round($count);
	}



}

app/Http/Controllers/ProfessionalsController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Professionals;
use App\User;
use Log;
use Validator;
use Hash;
class ProfessionalsController extends Controller
{
	/**
	 * Display a listing of the resource.
	 *
	 * @return \Illuminate\Http\Response
	 */
	public function index()
	{
		$professionals = Professionals::has('user')
					->with('user')
					->paginate(10);

		return view('professionals.index',[
			'professionals'=>$professionals,
		]);

		//
	}

	/**
	 * Show the form for creating a new resource.
	 *
	 * @return \Illuminate\Http\Response
	 */
	public function create()
	{
		//
		return view('professionals.create',[
  
		]);
	}

	/**
	 * Store a newly created resource in storage.
	 *
	 * @param  \Illuminate\Http\Request  $request
	 * @return \Illuminate\Http\Response
	 */
	public function store(Request $request)
	{
		//
		// Log::info($request);
		$validator = Validator::make($request->all(), [
			'first_name' => 'required|min:2|max:50',
			'last_name' => 'required|min:2|max:50',
			'email' => 'email|required|min:2|max:100|unique:users',
			'contact_no' => 'required|min:2|max:50',
			'password' => 'required|min:4|max:50',
			'password_confirmation' => 'required|same:password',
		 
		]);

		if ($validator->fails()) {
			return redirect()
				->route('professionals.create')
						->withErrors($validator)
						->withInput();
		}
	 	
	 	$user = User::create([
			'first_name'  =>  $request->input('first_name'),
			'last_name' => $request->input('last_name'),
			'email' => $request->input('email'),
			'contact_no' => $request->input('contact_no'),
			'password' => Hash::make($request->input('password')),
			'type' => 'professional',

		]);

		
		$professional = Professionals::create([
		    'user_id'  =>  $user->id,
		    'description'  =>  $request->input('description'),
		    'is_available'  =>  (null==$request->input('is_available')) ? false : true ,
		    'is_active'  =>   (null==$request->input('is_active')) ?false : true ,

		]);

		 return redirect()->route('professionals.index')->with('flash_message', 'Successfully added!');
	}

	/**
	 * Display the specified resource.
	 *
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function show($id)
	{
		//

	}

	/**
	 * Show the form for editing the specified resource.
	 *
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function edit($id)
	{
		//

		$professional = Professionals::with('user')->find($id);
		return view('professionals.edit',[
			'professional'=>$professional,
		]);
	}

	/**
	 * Update the specified resource in storage.
	 *
	 * @param  \Illuminate\Http\Request  $request
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function update(Request $request, $id)
	{
		//
		$professional = Professionals::with('user')->find($id);

		$validator = Validator::make($request->all(), [
			'first_name' => 'required|min:2|max:50',
			'last_name' => 'required|min:2|max:50',
			'email' => 'email|required|min:2|max:100|unique:users,email,'.$professional->user->id,
			'contact_no' => 'required|min:2|max:50',
			// 'password' => 'required|min:4|max:50',
			// 'password_confirmation' => 'required|same:password',
		 
		]);

		if ($validator->fails()) {
			return redirect()
				->route('professionals.edit',$id)
						->withErrors($validator)
						->withInput();
		}
	 	
	 	$professional->description = $request->input('description');
	 	$professional->is_available = (null==$request->input('is_available')) ? false : true;
	 	$professional->is_active = (null==$request->input('is_active')) ? false : true ;
	 	$professional->save();

	 	$user = User::find($professional->user_id);
	 	$user->first_name = $request->input('first_name');
	 	$user->last_name = $request->input('last_name');
	 	$user->email = $request->input('email');
	 	$user->contact_no = $request->input('contact_no');
	 	$user->save();


		 return redirect()->route('professionals.index')->with('flash_message', 'Updated!');
	}

	/**
	 * Remove the specified resource from storage.
	 *
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function destroy($id)
	{
		//
	}
}

resources/views/professionals/create.blade.php
@extends('template.app')

@section('content')

 <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>


<main role="main" class="col-md-9 ml-sm-auto col-lg-10 pt-3 px-4">
	<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pb-2 mb-3 border-bottom">
		<h1 class="h2">Add Professional</h1>
			   
	</div>
	<div class="row">
			@if(Session::has('flash_message'))
				<div class="alert alert-success">{{Session::get('flash_message')}}</div>
			@endif

			@if(Session::has('flash_error'))
				<div class="alert alert-danger">{{Session::get('flash_error')}}</div>
			@endif
		</div>
	<div class="row">


	<Form method="POST" action="{{ route('professionals.store') }}" enctype="multipart/form-data" />
	
		{{ csrf_field() }}

		
		<div class="form-row ">
			<div class="col">
				<label for="first_name">First Name</label>
				<input type="text" name="first_name" class="form-control" placeholder="Enter First name" value="{{ old('first_name') }}">
				<span class="errors" style="color:#FF0000">{{$errors->first('first_name')}}</span>
			</div>
			<div class="col">
				<label for="last_name">Last Name</label>
				<input type="text" name="last_name" class="form-control" placeholder="Enter Last name" value="{{ old('last_name') }}">
				<span class="errors" style="color:#FF0000">{{$errors->first('last_name')}}</span>
			</div>
		</div>
		<div class="form-row">
			<div class="col">
				<label for="email">Email</label>
				<input type="email" name="email" class="form-control" placeholder="Enter Email" value="{{ old('email') }}"> 
				<span class="errors" style="color:#FF0000">{{$errors->first('email')}}</span>
			</div>
			<div class="col">
				<label for="contact_no">Contact No</label>
				<input type="text" name="contact_no" class="form-control" placeholder="Enter Contact No" value="{{ old('contact_no') }}">
				<span class="errors" style="color:#FF0000">{{$errors->first('contact_no')}}</span>
			</div>
		</div>
		<div class="form-row">
		
			<div class="col">
				<label for="email">Description</label>
				<textarea class="form-control" id="description" name="description">{{ old('description') }}</textarea>
				<span class="errors" style="color:#FF0000">{{$errors->first('description')}}</span>
			</div>

			 

		</div>
		<div class="form-row">
			<div class="col-4">
				<label for="password">Password</label>
				<input type="password" name="password" class="form-control" placeholder="Password">
				<span class="errors" style="color:#FF0000">{{$errors->first('password')}}</span>
			</div>
		</div>
		<div class="form-row">
			<div class="col-4">
				<label for="password_confirmation">Repeat Password</label>
				<input type="password" name="password_confirmation" class="form-control" placeholder="Repeat Password">
				<span class="errors" style="color:#FF0000">{{$errors->first('password_confirmation')}}</span>
			</div>
		</div>


		<div class="form-group">
			<div class="form-check">
				<input class="form-check-input" type="checkbox" name="is_available" value="1">
				<label class="form-check-label" for="gridCheck">
				Available?
				</label>
			</div>
			<div class="form-check">
				<input class="form-check-input" type="checkbox" name="is_active" value="1">
				<label class="form-check-label" for="gridCheck">
				Active?
				</label>
			</div>
		</div>

		<div class="row">
			<div class="col-lg-4">
				<input type="submit" class="btn btn-primary" onclick="this.disabled=true;this.value='Submitted, please wait...';this.form.submit();" />
			</div>
		</div>
		
		</Form>

	</div>
</main>

<script>

	$(document).ready(function() {
		console.log('asd');

		$('#description').summernote({
        placeholder: 'Description Here',
        tabsize: 2,
        height: 100
      });

	 // 	 $('#description').summernote({
	 // 	 height: 600,

		// });

	});
</script>

@stop

resources/views/professionals/edit.blade.php
@extends('template.app')

@section('content')

 <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>


<main role="main" class="col-md-9 ml-sm-auto col-lg-10 pt-3 px-4">
	<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pb-2 mb-3 border-bottom">
		<h1 class="h2">Edit Professional</h1>
			   
	</div>
	<div class="row">
			@if(Session::has('flash_message'))
				<div class="alert alert-success">{{Session::get('flash_message')}}</div>
			@endif

			@if(Session::has('flash_error'))
				<div class="alert alert-danger">{{Session::get('flash_error')}}</div>
			@endif
		</div>
	<div class="row">
	
		<Form method="POST" action="{{ route('professionals.update',[$professional->id]) }}" enctype="multipart/form-data" />
		<input type="hidden" name="_method" value="PUT">
		{{ csrf_field() }}

		
		<div class="form-row ">
			<div class="col">
				<label for="first_name">First Name</label>
				<input type="text" name="first_name" class="form-control" placeholder="Enter First name" value="{{ $professional->user->first_name }}">
				<span class="errors" style="color:#FF0000">{{$errors->first('first_name')}}</span>
			</div>
			<div class="col">
				<label for="last_name">Last Name</label>
				<input type="text" name="last_name" class="form-control" placeholder="Enter Last name" value="{{ $professional->user->last_name }}">
				<span class="errors" style="color:#FF0000">{{$errors->first('last_name')}}</span>
			</div>
		</div>
		<div class="form-row">
			<div class="col">
				<label for="email">Email</label>
				<input type="email" name="email" class="form-control" placeholder="Enter Email" value="{{ $professional->user->email }}"> 
				<span class="errors" style="color:#FF0000">{{$errors->first('email')}}</span>
			</div>
			<div class="col">
				<label for="contact_no">Contact No</label>
				<input type="text" name="contact_no" class="form-control" placeholder="Enter Contact No" value="{{ $professional->user->contact_no }}">
				<span class="errors" style="color:#FF0000">{{$errors->first('contact_no')}}</span>
			</div>
		</div>
		<div class="form-row">
		
			<div class="col">
				<label for="email">Description</label>
				<textarea class="form-control" id="description" name="description">{{ $professional->description }}</textarea>
				<span class="errors" style="color:#FF0000">{{$errors->first('description')}}</span>
			</div>

			 

		</div>
	

		<div class="form-group">
			<div class="form-check">
				<input class="form-check-input" type="checkbox" name="is_available" value="1" @if($professional->is_available) checked="true" @endif>
				<label class="form-check-label" for="gridCheck">
				Available?
				</label>
			</div>
			<div class="form-check">
				<input class="form-check-input" type="checkbox" name="is_active" value="1" @if($professional->is_active) checked="true" @endif>
				<label class="form-check-label" for="gridCheck">
				Active?
				</label>
			</div>
		</div>

		<div class="row">
			<div class="col-lg-4">
				<input type="submit" class="btn btn-primary" onclick="this.disabled=true;this.value='Submitted, please wait...';this.form.submit();" />
			</div>
		</div>
		
		</Form>

	</div>
</main>

<script>

	$(document).ready(function() {
		console.log('asd');

		$('#description').summernote({
        placeholder: 'Description Here',
        tabsize: 2,
        height: 100
      });

	 // 	 $('#description').summernote({
	 // 	 height: 600,

		// });

	});
</script>

@stop

resources/views/professionals/index.blade.php
@extends('template.app')

@section('content')

<main role="main" class="col-md-9 ml-sm-auto col-lg-10 pt-3 px-4">
	<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pb-2 mb-3 border-bottom">
		<h1 class="h2">Professionals</h1>
	</div>
	<div class="row">
			@if(Session::has('flash_message'))
				<div class="alert alert-success">{{Session::get('flash_message')}}</div>
			@endif

			@if(Session::has('flash_error'))
				<div class="alert alert-danger">{{Session::get('flash_error')}}</div>
			@endif
		</div>
	<div class="row">

		 
		<a href="{{ route('professionals.create') }}" role="button" class="btn btn-primary">Add New</a>

		<table class="table">
		  <thead>
			<tr>
				<th scope="col">#</th>
				<th scope="col">Name</th>
				<th scope="col">Email</th>
				<th scope="col">Availability</th>
				<th scope="col">Status</th>
				<th scope="col">Rating</th>
				<th scope="col"></th>
			</tr>
		  </thead>
		  <tbody>

		  	@foreach($professionals as $x)
		  	<tr>
				<th scope="row">{{$x->id}}</th>
				<td>{{$x->user->first_name}} {{$x->user->last_name}}</td>
				<td>{{$x->user->email}}</td>
				<td>
					@if($x->is_available) 
					<span style="height: 10px; width: 10px;  background-color: #00ff00;  border-radius: 50%;  display: inline-block;"></span> Available
					@else
					<span style="height: 10px; width: 10px;  background-color: #ff0000;  border-radius: 50%;  display: inline-block;"></span> Busy
					@endif
				</td>
				<td>
					@if($x->is_active) 
					<span style="height: 10px; width: 10px;  background-color: #00ff00;  border-radius: 50%;  display: inline-block;"></span> Active
					@else
					<span style="height: 10px; width: 10px;  background-color: #ff0000;  border-radius: 50%;  display: inline-block;"></span> Inactive
					@endif
				</td>
				<td></td>
				<td>
					<div class="btn-group" role="group" aria-label="">
						<a href="{{ route('professionals.skills.index',[$x->id])}}"><button type="button" class="btn btn-primary">Skills</button></a>
						<a href="{{ route('professionals.edit',[$x->id])}}"><button type="button" class="btn btn-primary">Edit</button></a>
						<!-- <button type="button" class="btn btn-secondary">Middle</button> -->
						<a href=""><button type="button" class="btn btn-danger">Delete</button></a>
					</div>
				</td>
			</tr>
		  	@endforeach
			
		  </tbody>
		</table>
	

	</div>
</main>


@stop

resources/views/professionals/skills.blade.php
@extends('template.app')

@section('content')

<main role="main" class="col-md-9 ml-sm-auto col-lg-10 pt-3 px-4">
	<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pb-2 mb-3 border-bottom">
		<h1 class="h2">{{ $professional->user->first_name }} {{ $professional->user->last_name }}</h1>
	</div>
	<div class="row">
			@if(Session::has('flash_message'))
				<div class="alert alert-success">{{Session::get('flash_message')}}</div>
			@endif

			@if(Session::has('flash_error'))
				<div class="alert alert-danger">{{Session::get('flash_error')}}</div>
			@endif
		</div>
	<div class="row">


		<form method="post" action="{{ route('professionals.skills.update',[$professional->id,1]) }}">
			<input type="hidden" name="_method" value="PUT">
			{{ csrf_field() }}
			<table class="table">
			  <thead>
				<tr>
					<th scope="col">Skills</th>
				</tr>
				</thead>
				<tbody>
					@foreach($skills as $x)
					<tr>
						<td>
							<input type="checkbox" name="{{ $x->id }}" value="1" @if($user_skills->where('skill_id',$x->id)->count()>0) checked @endif> {{ $x->name }}	
						</td>
					</tr>
					@endforeach
					
				</tbody>
			</table>
			<input type="submit" value="Submit" class="btn btn-primary">
		</form>
	</div>
</main>


@stop